package com.caliverse.admin.dynamodb.domain.doc;

import com.caliverse.admin.global.common.constants.DynamoDBConstants;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.Setter;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class ItemDoc extends DynamoDBDocBase {
    private String itemAttrib;

    public String getAttribFieldName() {
        return DynamoDBConstants.ATTRIB_ITEM;
    }

    @DynamoDbAttribute(DynamoDBConstants.ATTRIB_ITEM)
    @JsonProperty(DynamoDBConstants.ATTRIB_ITEM)
    public String getAttribValue() {
        return itemAttrib;
    }

    public void setAttribValue(String value) {
        this.itemAttrib = value;
    }
}

